bdi4jade.event

## Enum BeliefEvent.Action

- java.lang.Object
- - java.lang.Enum<BeliefEvent.Action>
  - - bdi4jade.event.BeliefEvent.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BeliefEvent.Action>
  Enclosing class:
    BeliefEvent

      public static enum BeliefEvent.Action
      extends java.lang.Enum<BeliefEvent.Action>

  This enumeration represents the set of possible actions that can be performed over a belief.
  Author:
    ingrid

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BELIEF_ADDED`
    `BELIEF_REMOVED`
    `BELIEF_UPDATED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BeliefEvent.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BeliefEvent.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BELIEF_ADDED

          public static final BeliefEvent.Action BELIEF_ADDED

    - #### BELIEF_REMOVED

          public static final BeliefEvent.Action BELIEF_REMOVED

    - #### BELIEF_UPDATED

          public static final BeliefEvent.Action BELIEF_UPDATED

  - ### Method Detail

    - #### values

          public static BeliefEvent.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BeliefEvent.Action c : BeliefEvent.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BeliefEvent.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null